( define ( domain graph-coloring )
  ( :requirements :strips ) 
  ( :predicates
    ( red ?loc1 ?loc2 )
    ( blue ?loc1 ?loc2 )
    ( green ?loc1 ?loc2 )
    ( white ?loc1 ?loc2 )
    ( black ?loc1 ?loc2 )
               	( node ?loc )
		( at ?loc )
		)

  (:action red
	   :parameters ( ?from ?to )
	   :precondition (and
			  (at ?from)
			  ( red ?from ?to))
	   :effect (and
		    (not (at ?from))
		    (at ?to)))

    (:action blue
	   :parameters ( ?from ?to )
	   :precondition (and
			  (at ?from)
			  ( blue ?from ?to))
	   :effect (and
		    (not (at ?from))
		    (at ?to)))

    (:action green
	   :parameters ( ?from ?to )
	   :precondition (and
			  (at ?from)
			  ( green ?from ?to))
	   :effect (and
		    (not (at ?from))
		    (at ?to)))
    (:action white
	   :parameters ( ?from ?to )
	   :precondition (and
			  (at ?from)
			  ( white ?from ?to))
	   :effect (and
		    (not (at ?from))
		    (at ?to)))
    (:action black
	   :parameters ( ?from ?to )
	   :precondition (and
			  (at ?from)
			  ( black ?from ?to))
	   :effect (and
		    (not (at ?from))
		    (at ?to)))
    )
